
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

Those were missing from ppc32.


---

 25-akpm/include/asm-ppc/dma-mapping.h |    6 ++++++
 25-akpm/include/asm-ppc/pci.h         |    5 +++++
 2 files changed, 11 insertions(+)

diff -puN include/asm-ppc/dma-mapping.h~ppc32-add-missing-dma_mapping_error include/asm-ppc/dma-mapping.h
--- 25/include/asm-ppc/dma-mapping.h~ppc32-add-missing-dma_mapping_error	2004-05-04 23:25:45.691467616 -0700
+++ 25-akpm/include/asm-ppc/dma-mapping.h	2004-05-04 23:25:45.696466856 -0700
@@ -184,4 +184,10 @@ static inline void dma_cache_sync(void *
 {
 	consistent_sync(vaddr, size, (int)direction);
 }
+
+static inline int dma_mapping_error(dma_addr_t dma_addr)
+{
+	return 0;
+}
+
 #endif				/* __ASM_PPC_DMA_MAPPING_H */
diff -puN include/asm-ppc/pci.h~ppc32-add-missing-dma_mapping_error include/asm-ppc/pci.h
--- 25/include/asm-ppc/pci.h~ppc32-add-missing-dma_mapping_error	2004-05-04 23:25:45.692467464 -0700
+++ 25-akpm/include/asm-ppc/pci.h	2004-05-04 23:25:45.697466704 -0700
@@ -290,6 +290,11 @@ pci_dac_dma_sync_single_for_device(struc
 	/* Nothing to do. */
 }
 
+static inline int pci_dma_mapping_error(dma_addr_t dma_addr)
+{
+	return 0;
+}
+
 /* Return the index of the PCI controller for device PDEV. */
 #define pci_domain_nr(bus) ((struct pci_controller *)(bus)->sysdata)->index
 

_
